#
# Conditional build:
%bcond_without	asm		# disable x86 assembly code
#
%ifarch x32
%undefine	with_asm
%endif

%define		orig_ver	561
Summary:	Cryptopp Library - a free C++ class library of cryptographic schemes
Summary(pl.UTF-8):	Cryptopp - biblioteka klas C++ dostarczająca narzędzia do kryptografii
Name:		cryptopp
Version:	5.6.1
Release:	3
License:	BSD-like
Group:		Libraries
Source0:	http://downloads.sourceforge.net/cryptopp/%{name}%{orig_ver}.zip
# Source0-md5:	96cbeba0907562b077e26bcffb483828
Patch0:		%{name}-autotools.patch
Patch1:		cxx.patch
URL:		http://www.cryptopp.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	unzip
Obsoletes:	cryptopp-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cryptopp Library is a free C++ class library of cryptographic schemes.

%description -l pl.UTF-8
Cryptopp jest biblioteką klas C++ dostarczającą narzędzia do
kryptografii.

%package devel
Summary:	Files for development of applications which will use Cryptopp
Summary(pl.UTF-8):	Pliki do tworzenia aplikacji używających Cryptopp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Files for development of applications which will use Cryptopp.

%description devel -l pl.UTF-8
Pliki do tworzenia aplikacji używających Cryptopp.

%package static
Summary:	Static Cryptopp library
Summary(pl.UTF-8):	Statyczna biblioteka Cryptopp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Cryptopp library.

%description static -l pl.UTF-8
Statyczna biblioteka Cryptopp.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p0

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%if %{without asm}
CFLAGS="%{rpmcflags} -DCRYPTOPP_DISABLE_X86ASM"
CXXFLAGS="%{rpmcxxflags} -DCRYPTOPP_DISABLE_X86ASM"
%endif
%configure

%{__make}

./cryptest v

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc License.txt Readme.txt
%attr(755,root,root) %{_libdir}/libcryptopp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcryptopp.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcryptopp.so
%{_libdir}/libcryptopp.la
%{_includedir}/cryptopp

%files static
%defattr(644,root,root,755)
%{_libdir}/libcryptopp.a
%changelog
* Sat Apr 11 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cryptopp.git;a=log;h=master

* Sat Apr 11 2015 Jan Rękorajski <baggins@pld-linux.org> 72a0958
- disable asm code on x32
- rel 3

* Sun Sep 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 98033b6
- O: cryptopp-progs

* Sun Sep 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 4c7740b
- cleanups

* Mon Sep 10 2012 Paweł Sikora <pawel.sikora@agmk.net> e602bb4
- enable sse/asm, release 2.

* Sun Sep 09 2012 Paweł Sikora <pawel.sikora@agmk.net> 6081e9d
- fix .pl summary, cleanup dropped -progs desc, package .la

* Sun Sep 09 2012 Paweł Sikora <pawel.sikora@agmk.net> 36035fa
- try another download url.

* Tue Sep 04 2012 Paweł Sikora <pawel.sikora@agmk.net> 43576a0
- update source0.

* Tue Sep 04 2012 Paweł Sikora <pawel.sikora@agmk.net> fa8cb00
- bump autotools package version.

* Tue Sep 04 2012 Paweł Sikora <pawel.sikora@agmk.net> 472a31a
- updated to 5.6.1, dropped internal testsuite installation.

* Tue Sep 04 2012 Paweł Sikora <pawel.sikora@agmk.net> 114aa4f
- c++ build fixes.

* Tue Feb 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 9abc804
- gpm-friendly Source0 URL

* Tue Feb 12 2008 tommat <tommat@pld-linux.org> 0a8deb7
- autoize cryptopp build

* Tue Feb 12 2008 tommat <tommat@pld-linux.org> 0114b49
- up to 5.5.2
- autoize with autotools patch
- BR autotools, builds

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e414df1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9285850
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 0fcd268
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Sun Sep 19 2004 jack <jack@pld-linux.org> 229690c
- updated to 5.2.1 (builds)

* Sun Aug 15 2004 domelu <domelu@pld-linux.org> 9198fc9
- revert chmod
- added crypto-5.2.patch.bz2

* Sun Aug 15 2004 domelu <domelu@pld-linux.org> afec078
- md5

* Sat Aug 14 2004 domelu <domelu@pld-linux.org> 64e436b
- updated to 5.2
- remove crypto-5.1.patch.bz2
- remove ,,chmod 755 configure''

